---
schema_version: "1"
id: 0ad4ed270939b9b8a761302394388554c1b8056ce878d871800627d2437187b3
title: Perform Quick Actions
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_perform_action.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_perform_action.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 68ef461ef240f75d3f5a196fa64b30f1b0ffa47d5cd62ca922164f808d870c5e
description: Perform a quick action that creates or updates a record.
---
# Perform Quick Actions

Perform a quick action that creates or updates a record.

Resource

/ui-api/actions/perform-quick-action/${actionApiName}

actionApiName—The API name of a quick action.

Available Version

57.0

HTTP Method

POST

Example

This example uses a request body to create a Contact for an Account.

POST /services/data/v68.0/ui-api/actions/perform-quick-action/Account.CreateContact

{
  "apiName": "Contact",
  "contextId": "001RO000003zKtEYAU",  
  "fields": {
    "LastName": "Rogers"
    "Title": "VP, Facilities"
  }
}

Request Parameters

| Parameter Name | Type | Description | Required or Optional | Available Version |
| --- | --- | --- | --- | --- |
| performQuickActionInput | [Perform Action Input](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_requests_perform_action_input.htm "Perform a quick action that creates or updates a record.") | The data for the quick action. | Required | 57.0 |

Response Body

[Quick Action Execution](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_perform_action.htm "The results that are returned when a quick action executes.")